package com.ruoyi.oa.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.oa.domain.CmcDevice;

/**
 * cmc设备信息Mapper接口
 * 
 * @author cmc
 * @date 2024-03-05
 */
public interface CmcDeviceMapper 
{
    /**
     * 查询cmc设备信息
     * 
     * @param deviceId cmc设备信息主键
     * @return cmc设备信息
     */
    public CmcDevice selectCmcDeviceByDeviceId(Integer deviceId);

    /**
     * 查询cmc设备信息列表
     * 
     * @param cmcDevice cmc设备信息
     * @return cmc设备信息集合
     */
    public List<CmcDevice> selectCmcDeviceList(CmcDevice cmcDevice);

    /**
     * 查询cmc设备名称集合
     *
     * @return cmc设备名称集合
     */
    public List<Map<String,Object>> selectCmcDeviceNameList();

    /**
     * 新增cmc设备信息
     * 
     * @param cmcDevice cmc设备信息
     * @return 结果
     */
    public int insertCmcDevice(CmcDevice cmcDevice);

    /**
     * 修改cmc设备信息
     * 
     * @param cmcDevice cmc设备信息
     * @return 结果
     */
    public int updateCmcDevice(CmcDevice cmcDevice);

    /**
     * 删除cmc设备信息
     * 
     * @param deviceId cmc设备信息主键
     * @return 结果
     */
    public int deleteCmcDeviceByDeviceId(Long deviceId);

    /**
     * 批量删除cmc设备信息
     * 
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcDeviceByDeviceIds(Long[] deviceIds);
}
